Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 612225 - SELinux is preventing /sbin/portreserve "search" access on /home/arkiados/Downloads.
SELinux is preventing /sbin/portreserve "search" access on /home/arkiado...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:8549ef1c478...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 11:44 EDT by David Edwards
Modified: 2011-06-29 09:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Edwards 2010-07-07 11:44:41 EDT
Summary:

SELinux is preventing /sbin/portreserve "search" access on
/home/arkiados/Downloads.

Detailed Description:

SELinux denied access requested by portrelease. It is not expected that this
access is required by portrelease and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:portreserve_t:s0
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/arkiados/Downloads [ dir ]
Source                        portrelease
Source Path                   /sbin/portreserve
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           portreserve-0.0.4-4.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-33.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-124.fc13.x86_64 #1 SMP Fri
                              Jun 11 09:38:12 UTC 2010 x86_64 x86_64
Alert Count                   4
First Seen                    Wed 07 Jul 2010 10:42:48 AM CDT
Last Seen                     Wed 07 Jul 2010 10:42:48 AM CDT
Local ID                      5f69300e-e40b-404b-ba9c-06759c6ca5cd
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278517368.206:33023): avc:  denied  { search } for  pid=3449 comm="portrelease" name="Downloads" dev=dm-3 ino=5767184 scontext=unconfined_u:system_r:portreserve_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1278517368.206:33023): arch=c000003e syscall=2 success=no exit=-13 a0=7fff595ca340 a1=0 a2=0 a3=ffffffff items=0 ppid=3441 pid=3449 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="portrelease" exe="/sbin/portreserve" subj=unconfined_u:system_r:portreserve_t:s0 key=(null)



Hash String generated from  catchall,portrelease,portreserve_t,user_home_t,dir,search
audit2allow suggests:

#============= portreserve_t ==============
allow portreserve_t user_home_t:dir search;
Comment 1 Miroslav Grepl 2010-07-08 10:24:54 EDT
Were you in the Downloads directory as root when you executed a yum
update or a service portreserve restart?
Comment 2 David Edwards 2010-07-08 19:23:06 EDT
I was in the downloads directory and ran yum update.
Comment 3 Miroslav Grepl 2010-07-09 03:56:35 EDT
Fixed in selinux-policy-3.7.19-34.fc13
Comment 4 Bug Reporter 2010-07-12 05:31:27 EDT
After I installed the package support for authoring and publishing through the gpk-application, I got this error...

I also had left the computer alone, so I found out about it after I unlocked my screen.

With warm regards,
bugreporter1
Comment 5 Fedora Update System 2010-07-14 10:25:12 EDT
selinux-policy-3.7.19-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13
Comment 6 Fedora Update System 2010-07-14 19:07:09 EDT
selinux-policy-3.7.19-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13
Comment 7 Fedora Admin XMLRPC Client 2010-11-08 16:51:55 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2010-11-08 16:53:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2010-11-08 16:55:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Bug Zapper 2011-06-01 10:31:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-29 09:53:06 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.